{{page-title "new data binding"}}

{{#if @model}}
  <Manage::Container @title={{capitalize (t "new data binding")}} @breadcrumbs={{this.breadcrumbs}}>
    <:content>
      <Manage::RowAdd @name="name" as |id|>
        <Input class="form-control input-name" id={{id}} @value={{@model.dataBinding.name}} placeholder={{capitalize (t "what is the data binding name?")}} />
      </Manage::RowAdd>

      <Manage::RowAdd @name="team" as |id|>
        {{#if this.teams}}
          {{#if this.user.isAdmin}}
            <Manage::SelectWithVisibility @id={{id}} @list={{this.teams}} @value={{@model.dataBinding.visibility.team}} @onChange={{this.changeTeam}} @areAllShowing={{this.all}} @toggleAll={{this.toggleAll}} />
          {{else}}
            <Input::Select id={{id}} @list={{this.teams}} @value={{@model.dataBinding.visibility.team}} @onChange={{this.changeTeam}} />
          {{/if}}
        {{else}}
          <div class="alert alert-danger alert-no-teams" role="alert">
            {{t "data-binding-no-team-message"}}
          </div>
        {{/if}}
      </Manage::RowAdd>

      <Manage::RowAdd @name="destination" as |id|>
        <Input::DataBinding::Destination @id={{id}} @team={{@model.dataBinding.visibility.team}} @value={{@model.dataBinding.destination}} @onChange={{fn this.change "destination"}} />
      </Manage::RowAdd>

      <Manage::RowAdd @name="connectionInfo" as |id|>
        <Input::DataBinding::Type @id={{id}} class="mb-3" @value={{@model.dataBinding.connection.type}} @onChange={{fn this.change "connection.type"}} />

        <Input::DataBinding::ConnectionInfo @type={{@model.dataBinding.connection.type}} @value={{@model.dataBinding.connection.config}} @onChange={{fn this.change "connection.config"}} />
      </Manage::RowAdd>

      <Manage::Row @name="add">
        <Input::Button @action={{this.save}} @disabled={{not this.canSubmit}} class="btn btn-primary btn-submit">
          {{capitalize (t "add")}}
        </Input::Button>
      </Manage::Row>
    </:content>
  </Manage::Container>
{{else}}
  <LoadingContainer />
{{/if}}